<?php

/**************    Include cabecera  ***********************************/
require_once '../../principal_compra_reserva_ajax.php';

$tarifas = explode(',', $_POST['tarifas_seleccionadas']);

$i                 = 0;
$usuarios_grupos   = array();
foreach ($tarifas as $key => $value) {
 
    // Calculo tarifa a mostrar según número de plazas y servicio
    $sql_tarifas = "SELECT  ug.*
                    FROM tarifas t JOIN usuarios_grupos ug ON t.usuarios_grupo_id = ug.id
                    AND ug.activo = 1
                    AND ug.especial = 0
                    AND ug.mostrar_precio = 1
                    AND t.id IN (:tarifa_id)
                    ORDER BY t.id ASC";
 
    $result_tarifa = $conexion->prepare($sql_tarifas);
    $result_tarifa->execute(array( ':tarifa_id' =>  $tarifas[$i]));    
    $row_tarifa        = $result_tarifa->fetch(PDO::FETCH_ASSOC);
    $usuarios_grupos[] = $row_tarifa['id']; 
    $i++;   
}

// Buscamos los usuarios_grupos incompatibles y sus tarifas
$j                     = 0;
$tarifas_incompatibles = array();
foreach($usuarios_grupos as $key => $value){
    $sql_tarifas_incompatibles = "SELECT t.*
                                  FROM tarifas t 
                                  JOIN usuarios_grupos ug ON t.usuarios_grupo_id = ug.id
                                  JOIN usuario_grupo_incompatibles ugi ON ug.id=ugi.usuario_grupo_id
                                  WHERE ugi.parent_usuario_grupo_id=:usuario_grupo_id AND t.seleccionable=1";
    $result_tarifas_incompatibles = $conexion->prepare($sql_tarifas_incompatibles);
    $result_tarifas_incompatibles->execute(array(':usuario_grupo_id' => $usuarios_grupos[$j]));
    $row_tarifas_incompatibles = $result_tarifas_incompatibles->fetchAll(PDO::FETCH_ASSOC);

    foreach($row_tarifas_incompatibles as $row_incompatible){              
        $tarifas_incompatibles[] = $row_incompatible['id'];
    }
    $j++;
}

echo json_encode($tarifas_incompatibles);

?>